Function CreateReportRole {
param($rootMS,$roleUserName,$roleDisplayName,$roleDescription)
#Initializing the OpsMgr 2007 PowerShell provider
     add-pssnapin "Microsoft.EnterpriseManagement.OperationsManager.Client" -ErrorVariable errSnapin;
     set-location "OperationsManagerMonitoring::" -ErrorVariable errSnapin;
     new-managementGroupConnection -ConnectionString:$rootMS -ErrorVariable errSnapin;
     set-location $rootMS -ErrorVariable errSnapin;

#Checks to see if it failed or succedded in loading the provider
     if ($errSnapin.count -eq 0){
    Write-host "'nOpsMgr 2007 PSSnapin initialized!'n";
     }
     else{
    Write-host "'nOpsMgr 2007 PSSnapin failed initialize!'nPlease verify you are running this script on a OpsMgr management server";
    Write-Host;
     }

$mg = (get-item .).ManagementGroup
$reportOperator = $mg.GetMonitoringProfiles() | where {$_.Name -eq "ReportOpera-tor"}
$obj = new-object Micro-soft.EnterpriseManagement.Monitoring.Security.MonitoringUserRole

$obj.Name = $roleUserName
$obj.DisplayName = $roleDisplayName
$obj.Description = $roleDescription
$obj.MonitoringProfile = $reportOperator

$mg.InsertMonitoringUserRole($obj)
}

#Call function with necessary parameters to create the custom Report Operators role
