Function CloneSub($SourceSubName, $TargetSubName){

#Connect to the SCOM 2012 Server 
$ScomServer = 'mmsscom01'
Import-Module OperationsManager
New-SCOMManagementGroupConnection -ComputerName $ScomServer 

#----------------------------------------------------
# Clone parameters from the existing subscription: 
# Recipients, Class Filters, Group Filters, Criteria 
#----------------------------------------------------
$TemplateSub = Get-SCOMNotificationSubscription -DisplayName $SourceSubName
$TemplateToRecipients = $TemplateSub.ToRecipients
$TemplateCriteria = $TemplateSub.Configuration.Criteria
$TemplateClassTargets = $TemplateSub.Configuration.MonitoringClassIds | select -ExpandProperty Guid
$TemplateGroupTargets = $TemplateSub.Configuration.MonitoringObjectGroupIds | select -ExpandProperty Guid
$TemplateChannel = $TemplateSub.Actions | select -ExpandProperty DisplayName 

#Retrieve  SMTP Channel used by existing subscription
$Channel = Get-SCOMNotificationChannel -DisplayName $TemplateChannel 

#Create new subscription 
Add-SCOMNotificationSubscription -Name $TargetSubName -Channel $Channel -Subscriber $TemplateToRecipients -Criteria $TemplateCriteria

#Retrieve new subscription and update with Class and Group Targets
$NewSubscription = Get-SCOMNotificationSubscription -DisplayName $TargetSubName
$NewSubscription.Configuration.MonitoringClassIds.Add( $TemplateClassTargets )
$NewSubscription.Configuration.MonitoringObjectGroupIds.Add( $TemplateGroupTargets )
$NewSubscription.Update() 

}

#Call the function
CloneSub "Critical_SQL_Alerts" "SQL_Escalation_Sub"