#Import PowerShell Modules 
import-module OperationsManager
import-module ActiveDirectory

#Connect to OpsMgr Management Group
Start-OperationsManagerClientShell -ManagementServerName: "mgmtsvr.contoso.com" -PersistConnection: $true -Interactive: $true;

#--------------------------------------------------
#Read agents into an array (so we query OpsMgr only once)
#--------------------------------------------------

$Agents = get-scomagent 

ForEach($Agent in $Agents) {

$AgentName = $Agent.DisplayName.ToString()
[array]$AgentList = $AgentList + $AgentName + ','
}

#------------------------------------------------------------
#Retrieve computers from Active Directory
#Check each to see if it appears in the list of OpsMgr agents 
#------------------------------------------------------------

Function Run-ADAgentGapRpt { 

    param([parameter(Mandatory=$true)]$SearchDC,[parameter(Mandatory=$true)]$SearchBase)
    
    $FileHeader = "OpsMgr Agent Gap Report"
   $FileHeader | out-file "c:\temp\ADAgentGap.csv" 
    
    $ADQuery = get-ADComputer -LDAPFilter "(name=*)" -Server $SearchDC -SearchBase $SearchBase


     ForEach($Comp in $ADQUery) {

        $InstallStatus = $AgentList -contains $Comp.DNSHostName 

            If ($InstallStatus -eq $true) {
            Write-host "Agent is already installed on " $Comp.DNSHostName 
            }
            
    else {

         $Comp.DNSHostName | out-file "c:\temp\ADAgentGap.csv" -Append -NoClobber
 
 
     }
  }
}


#Call the function with DC and distinguished name of root search OU/ container
Run-ADAgentGapRpt -SearchDC "dc1.contoso.com" -SearchBase "OU=Member Servers, DC=contoso,DC=com"